> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update DataSet Details

> Updates the specified DataSet’s metadata by providing values to parameters passed.

<Note>
**Appending _Data_**

To import **additional rows** into an existing DataSet, use the DataSet Import endpoint or the [Simple API](https://developer.domo.com/portal/d984e2fec9b18-import-data-into-data-set).
</Note> 




## OpenAPI

````yaml /openapi/platform/dataset.yaml PUT /v1/datasets/{dataset_id}
openapi: 3.0.0
info:
  title: DataSet API
  description: >
    ## The DataSet Object


    ---


    The DataSet API allows you to create, replace, append to, export, and manage
    DataSets, as well as manage data permissions for DataSets within Domo. Most
    of its calls return a DataSet object.



    <!-- theme: info -->


    > #### Best Practice

    >

    > The DataSet API should be used to create and update small DataSets that
    occasionally need their data updated. For creating and updating massive,
    constantly changing, or rapidly growing DataSets, the Stream API is
    recommended.


    <!-- theme: info -->


    > #### Permissions

    >

    > To update or write to a DataSet via API, you must have the Manage DataSet
    grant enabled.


    ### Attributes


    | Property Name | Type | Description |

    | --- | --- | --- |

    | id | String | ID of the DataSet |

    | name | String | Name of the DataSet |

    | description | String | Description of DataSet |

    | owner.id | String | ID of the owner |

    | owner.name | String | Name of the owner |

    | columns | Number | The number of columns currently in the DataSet |

    | createdAt | String | An ISO-8601 representation of the creation date of
    the DataSet |

    | updatedAt | String | AN ISO-8601 representation of the time the DataSet
    was last updated |

    | dataCurrentAt | String | An ISO-8601 representation of the time the
    DataSet was current |

    | schema | Object | The current schema associated with this DataSet |

    | schema.columns | Array | Array of columns in the DataSet |

    | schema.columns\[\].name | String | Column name in the DataSet schema |

    | schema.columns\[\].type | String | Column type in the DataSet schema.
    Valid types are STRING, DECIMAL, LONG, DOUBLE, DATE, DATETIME. |

    | pdpEnabled | Boolean | Indicates if PDP \[Personalized Data Permission\]
    policy filtering on data is active on this DataSet |

    | policies | Array | List of policies attached to DataSet |

    | policies\[\].filters\[\].column | String | Name of the column to filter on
    |

    | policies\[\].filters\[\].not | Boolean | Determines if NOT is applied to
    the filter operation |

    | policies\[\].filters\[\].operator | String | Matching operator (EQUALS) |

    | policies\[\].filters\[\].values\[\] | String | Values to filter on |

    | policies\[\].groups | Array | List of group IDs the policy applies to |

    | policies\[\].id | Number | ID of the Policy |

    | policies\[\].name | String | Name of the Policy |

    | policies\[\].type | String | Type of policy (user or system) |

    | policies\[\].users | Array | List of user IDs the policy applies to |

    | rows | Number | The number of rows currently in the DataSet |
  version: 1.0.0
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/datasets/{dataset_id}:
    parameters:
      - schema:
          type: string
        name: dataset_id
        in: path
        required: true
        description: The ID of the DataSet
    put:
      summary: Update DataSet Details
      description: >
        Updates the specified DataSet’s metadata by providing values to
        parameters passed.


        <Note>

        **Appending _Data_**


        To import **additional rows** into an existing DataSet, use the DataSet
        Import endpoint or the [Simple
        API](https://developer.domo.com/portal/d984e2fec9b18-import-data-into-data-set).

        </Note> 
      parameters:
        - name: dataset_id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  name: Leonhard Euler Birthday Bash
                  description: VIP Guest List
                  pdpEnabled: true
              properties:
                name:
                  type: string
                  description: Name of the DataSet to update
                description:
                  type: string
                  description: Description of DataSet to update
                pdpEnabled:
                  type: boolean
                schema:
                  type: object
                  description: The current schema associated with this DataSet
                  properties:
                    columns:
                      type: array
                      description: Array of columns in the DataSet
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Column name in the DataSet schema
                          type:
                            type: string
                            description: >-
                              Column type in the DataSet schema. Valid types are
                              `STRING`, `DECIMAL`, `LONG`, `DOUBLE`, `DATE`, and
                              `DATETIME`.
            examples:
              Example 1:
                value:
                  name: Leonhard Euler Birthday Bash
                  description: VIP Guest List
                  pdpEnabled: true
        description: ''
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              examples:
                Example 1:
                  value:
                    id: 4405ff58-1957-45f0-82bd-914d989a3ea3
                    name: Leonhard Euler Birthday Bash
                    description: VIP Guest List
                    rows: 0
                    columns: 0
                    schema:
                      columns:
                        - type: STRING
                          name: Friend
                        - type: STRING
                          name: Attending
                    owner:
                      id: 27
                      name: DomoSupport
                    createdAt: '2016-06-21T17:20:36Z'
                    updatedAt: '2016-06-21T17:48:41Z'
                    pdpEnabled: true
                    policies:
                      - id: 8
                        type: user
                        name: Only Show Attendees
                        filters:
                          - column: Attending
                            values:
                              - 'TRUE'
                            operator: EQUALS
                            not: false
                        users:
                          - 27
                        groups: []
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  rows:
                    type: integer
                  columns:
                    type: integer
                  schema:
                    type: object
                    properties:
                      columns:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            name:
                              type: string
                  owner:
                    type: object
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  pdpEnabled:
                    type: boolean
                  policies:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                        name:
                          type: string
                        filters:
                          type: array
                          items:
                            type: object
                            properties:
                              column:
                                type: string
                              values:
                                type: array
                                items:
                                  type: string
                              operator:
                                type: string
                              not:
                                type: boolean
                        users:
                          type: array
                          items:
                            type: integer
                        groups:
                          type: array
                          items:
                            type: object
                            properties: {}
                x-examples:
                  Example 1:
                    id: 4405ff58-1957-45f0-82bd-914d989a3ea3
                    name: Leonhard Euler Birthday Bash
                    description: VIP Guest List
                    rows: 0
                    columns: 0
                    schema:
                      columns:
                        - type: STRING
                          name: Friend
                        - type: STRING
                          name: Attending
                    owner:
                      id: 27
                      name: DomoSupport
                    createdAt: '2016-06-21T17:20:36Z'
                    updatedAt: '2016-06-21T17:48:41Z'
                    pdpEnabled: true
                    policies:
                      - id: 8
                        type: user
                        name: Only Show Attendees
                        filters:
                          - column: Attending
                            values:
                              - 'TRUE'
                            operator: EQUALS
                            not: false
                        users:
                          - 27
                        groups: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````